Download it now!
Bug 75200 - FILEOPEN : Segmentation fault & crash when opening docx
Summary: FILEOPEN : Segmentation fault & crash when opening docx
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-19 11:31 UTC by Priyanka Gaikwad
Modified: 2014-03-04 20:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Docx file (239.39 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-19 11:31 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2014-02-19 11:31:23 UTC
Created attachment 94346 [details]
Docx file

Libreoffice crash while opening docx.
Comment 1 Jorendc 2014-02-19 18:48:06 UTC
I fail to reproduce a crash, tested using Mac OSX with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: b540f9172814f51361cf31d2a4b03e34d1d375ef
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-02-15_00:28:42

Also not using Version: 4.3.0.0.alpha0+
Build ID: a7901132237f8bbd3ce42f0deda3fb7922230722
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-02-18_23:54:28

Kind regards,
Joren
Comment 2 bfoman (inactive) 2014-02-19 20:55:06 UTC
Checked with:
Version: 4.2.1.1
Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b
Windows 8.1 Enterprise 64 bit

Could not reproduce.
Comment 3 sophie 2014-02-21 09:21:48 UTC
Hi, I couldn't reproduce also with Version: 4.2.1.1
Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b on Ubuntu 13.10.
@Priyanka, could you please try with 4.2.1.1 and see if you reproduce the crash?
For now I'm closing the bug as none of us can reproduce it on several OS. Please reopen if you still have the crash with the newer version and tell us what is your OS. Thanks.
Closing as worksforme - Sophie
Comment 4 Commit Notification 2014-03-02 21:22:31 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b6a1f2afa7954afcf1f27b066169455ed6cff7a

fdo#75200:Libreoffice crash while opening the file



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-03-04 20:19:52 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bbaad88a5c5643365afc438fc53e864e4233a628

Revert "fdo#75200:Libreoffice crash while opening the file"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Markus Mohrhard 2014-03-04 20:22:41 UTC
Just to show that it is still fixed.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20a7a705b572f02049ebe76b2e8cc84c4f4b3d05

I had to revert the other patch because it was just hiding symptoms instead of fixing the issue. I prefer that we crash there early when we hit a bug and not make it even more difficult to debug the issue.